import React, { useEffect, useState } from "react";
import ReactMarkdown from "react-markdown";

interface MarkdownPreviewProps {
  fileUrl: string;
}

const MarkdownPreview: React.FC<MarkdownPreviewProps> = ({ fileUrl }) => {
  const [content, setContent] = useState("");

  useEffect(() => {
    fetch(fileUrl)
      .then((res) => res.text())
      .then(setContent);
  }, [fileUrl]);

  return (
    <div style={{ maxWidth: 600, margin: "0 auto", background: "#fff", padding: 16, borderRadius: 8 }}>
      <ReactMarkdown>{content}</ReactMarkdown>
    </div>
  );
};

export default MarkdownPreview;
